Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_spl.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_spl.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_spl.F90	(revision 5117)
@@ -183,5 +183,5 @@
 !   ccntrENV_coef    = 0.
 !   coefcoli         = 0.
-!  endif
+!  ENDIF
 
 ! ======================================================
@@ -302,5 +302,5 @@
    DO i = 1,klon
      NO_precip(i,j) = (pmflxr(i,j+1)+pmflxs(i,j+1))<1.e-10&
-                    .and.Pa(i,j)<1.e-10.and.Pm(i,j)<1.e-10
+                    .AND.Pa(i,j)<1.e-10.AND.Pm(i,j)<1.e-10
    END DO
   END DO
@@ -526,5 +526,5 @@
   DO j=1,klev
      DO i=1,klon
-        IF(j>=icb(i).and.j<=inb(i)) THEN
+        IF(j>=icb(i).AND.j<=inb(i)) THEN
           IF(clw(i,j)>1.e-16) THEN
 !           qPa(i,j,it)=ccntrAA_coef*tr(i,1,it)/clw(i,j)
@@ -543,5 +543,5 @@
       DO k=1,j-1
         DO i=1,klon
-        IF(k>=icb(i).and.k<=inb(i).and.&
+        IF(k>=icb(i).AND.k<=inb(i).AND.&
            j<=inb(i)) THEN
             IF(elij(i,k,j)>1.e-16) THEN
@@ -575,10 +575,10 @@
    DO j=klev-1,1,-1
     DO i=1,klon
-     IF(mp(i,j+1)>mp(i,j).and.mp(i,j+1)>1.e-10) then  ! detrainement
+     IF(mp(i,j+1)>mp(i,j).AND.mp(i,j+1)>1.e-10) then  ! detrainement
        kappa(i,j)=((pmflxr(i,j+1)+pmflxs(i,j+1)+Pa(i,j)+Pm(i,j))*&
                 (-mp(i,j+1)-imp(i,j)/RG*dxpres(i,j))&
                 + (imp(i,j)/RG*dxpres(i,j))*(evap(i,j)/RG*dxpres(i,j)))
              
-     elseif(mp(i,j)>mp(i,j+1).and.mp(i,j)>1.e-10) then! entrainement
+     elseif(mp(i,j)>mp(i,j+1).AND.mp(i,j)>1.e-10) then! entrainement
        IF(j==1) THEN
         kappa(i,j)=((pmflxr(i,j+1)+pmflxs(i,j+1)+Pa(i,j)+Pm(i,j))*&
@@ -598,11 +598,11 @@
   DO j=klev-1,1,-1
    DO i=1,klon
-    if (abs(kappa(i,j))<1.e-25) then    !si denominateur nul (il peut y avoir des mp!=0)
+    IF (abs(kappa(i,j))<1.e-25) then    !si denominateur nul (il peut y avoir des mp!=0)
      kappa(i,j)=1.
      IF(j==1) THEN
        qDi(i,j,it)=qDi(i,j+1,it) !orig tr(i,j,it)   ! mp(1)=0 donc tout vient de la couche supérieure
-     elseif(mp(i,j+1)>mp(i,j).and.mp(i,j+1)>1.e-10) THEN
+     elseif(mp(i,j+1)>mp(i,j).AND.mp(i,j+1)>1.e-10) THEN
        qDi(i,j,it)=qDi(i,j+1,it)
-     elseif(mp(i,j)>mp(i,j+1).and.mp(i,j)>1.e-10) then! entrainement
+     elseif(mp(i,j)>mp(i,j+1).AND.mp(i,j)>1.e-10) then! entrainement
        qDi(i,j,it)=(-mp(i,j+1)*(qDi(i,j+1,it)-tr(i,j,it))-mp(i,j)*tr(i,j,it))/(-mp(i,j))
      else  ! si  mp (i)=0 et mp(j+1)=0
@@ -660,8 +660,8 @@
       endif  !mp(2) nul ou non
 
-! vvv  (j!=1.and.j.lt.inb(i))  en-dessous du sommet nuage   vvv
+! vvv  (j!=1.AND.j.lt.inb(i))  en-dessous du sommet nuage   vvv
      else 
 !------------------------------------------------------------- detrainement 
-      IF(mp(i,j+1)>mp(i,j).and.mp(i,j+1)>1.e-10) then !mp(i,j).gt.1.e-10) THEN
+      IF(mp(i,j+1)>mp(i,j).AND.mp(i,j+1)>1.e-10) then !mp(i,j).gt.1.e-10) THEN
          IF(NO_precip(i,j)) THEN
           qDi(i,j,it)=qDi(i,j+1,it)
@@ -681,5 +681,5 @@
          endif !precip
 !------------------------------------------------------------- entrainement 
-      elseif(mp(i,j)>mp(i,j+1).and.mp(i,j)>1.e-10) THEN
+      elseif(mp(i,j)>mp(i,j+1).AND.mp(i,j)>1.e-10) THEN
          IF(NO_precip(i,j)) THEN
           qDi(i,j,it)=(-mp(i,j+1)*(qDi(i,j+1,it)-tr(i,j,it))-mp(i,j)*tr(i,j,it))/(-mp(i,j))
@@ -699,5 +699,5 @@
             (imp(i,j)/RG*dxpres(i,j)))
          endif !precip
-!------------------------------------------------------------- endif ! ent/det
+!------------------------------------------------------------- END IF ! ent/det
       else  !mp nul
         qDi(i,j,it)=tr(i,j,it) ! orig 0.
@@ -719,5 +719,5 @@
 !  DO j=klev,1,-1
 !   DO i=1,klon
-!     IF(it.eq.3) THEN
+!     IF(it.EQ.3) THEN
 !   WRITE(*,'(I2,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12)') j,&
 !!         'zmfdam',zmfdam(i,j,it),'zmfpsi',zmfphi2(i,j,it),&
@@ -750,19 +750,19 @@
                -zmfdam(i,k,it)*ccntrAA_coef3d(i,k)
 ! lessivage courants insatures
-   IF(k<=inb(i).and.k>1) then   ! tendances dans le nuage
+   IF(k<=inb(i).AND.k>1) then   ! tendances dans le nuage
 !------------------------------------------------------------- detrainement
-      IF(mp(i,k+1)>mp(i,k).and.mp(i,k+1)>1.e-10) THEN
+      IF(mp(i,k+1)>mp(i,k).AND.mp(i,k+1)>1.e-10) THEN
         uscavtrac= (-mp(i,k)+mp(i,k+1))*(qDi(i,k,it)-tr(i,k,it))&
                    + mp(i,k)*(tr(i,k-1,it)-tr(i,k,it))
 
-!        IF(it.eq.3) WRITE(*,'(I2,1X,a,5X,e20.12,82X,a,e20.12)')k,' det incloud',&
+!        IF(it.EQ.3) WRITE(*,'(I2,1X,a,5X,e20.12,82X,a,e20.12)')k,' det incloud',&
 !                    (-mp(i,k)+mp(i,k+1))*(qDi(i,k,it)-tr(i,k,it))*pdtimeRG/dxpres(i,k)+&
 !                    mp(i,k)*(tr(i,k-1,it)-tr(i,k,it))*pdtimeRG/dxpres(i,k),&
 !                    'mp',mp(i,k)
 !------------------------------------------------------------- entrainement 
-      elseif(mp(i,k)>mp(i,k+1).and.mp(i,k)>1.e-10) THEN
+      elseif(mp(i,k)>mp(i,k+1).AND.mp(i,k)>1.e-10) THEN
          uscavtrac= mp(i,k)*(tr(i,k-1,it)-tr(i,k,it))
 
-!         IF(it.eq.3) WRITE(*,'(I2,1X,a,5X,e20.12,82X,a,e20.12)')k,' ent incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
+!         IF(it.EQ.3) WRITE(*,'(I2,1X,a,5X,e20.12,82X,a,e20.12)')k,' ent incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
 !=!------------------------------------------------------------- end ent/det 
       else !        mp(i,k+1)=0. et mp(i,k)=0.    pluie directement sur l environnement
@@ -770,14 +770,14 @@
         IF(NO_precip(i,k)) THEN
           uscavtrac=0.
-!         IF(it.eq.3) WRITE(*,'(I2,1X,a,e20.12,82X,a,e20.12)')k,' no P ent incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
+!         IF(it.EQ.3) WRITE(*,'(I2,1X,a,e20.12,82X,a,e20.12)')k,' no P ent incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
         else
           uscavtrac=-imp(i,k)*tr(i,k,it)*dxpres(i,k)/RG+evap(i,k)*qPr(i,k,it)*dxpres(i,k)/RG
-!         IF(it.eq.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
+!         IF(it.EQ.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
 !!JE adds
-!         IF(it.eq.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'imp',imp(i,k)
-!         IF(it.eq.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'tr',tr(i,k,it)
-!         IF(it.eq.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'evap',evap(i,k)
-!         IF(it.eq.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'qPr',qPr(i,k,it)
-!         IF(it.eq.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'dxpres',dxpres(i,k)
+!         IF(it.EQ.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'imp',imp(i,k)
+!         IF(it.EQ.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'tr',tr(i,k,it)
+!         IF(it.EQ.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'evap',evap(i,k)
+!         IF(it.EQ.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'qPr',qPr(i,k,it)
+!         IF(it.EQ.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'dxpres',dxpres(i,k)
 !!Je end
 
@@ -790,5 +790,5 @@
 !                   + mp(i,2)*(0.-tr(i,k,it))
 
-!       IF(it.eq.3) WRITE(*,'(I2,1X,a,e20.12,84X,a,e20.12)')k,' 1 det',&
+!       IF(it.EQ.3) WRITE(*,'(I2,1X,a,e20.12,84X,a,e20.12)')k,' 1 det',&
 !                  (-0.+mp(i,2))*(qDi(i,k,it)-tr(i,k,it))*pdtimeRG/dxpres(i,k)+&
 !                  mp(i,2)*(0.-tr(i,k,it))*pdtimeRG/dxpres(i,k),&
@@ -800,5 +800,5 @@
           uscavtrac=-imp(i,k)*tr(i,k,it)*dxpres(i,k)/RG+evap(i,k)*qPr(i,k,it)*dxpres(i,k)/RG
         endif
-!         IF(it.eq.3) WRITE(*,'(I2,1X,a,2X,e20.12,82X,a,e20.12)')k,'1 P env incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
+!         IF(it.EQ.3) WRITE(*,'(I2,1X,a,2X,e20.12,82X,a,e20.12)')k,'1 P env incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
       endif
 
@@ -830,5 +830,5 @@
 !        (paprs(i,k)-paprs(i,k+1))/RG
 
-!      IF(it.eq.3)  WRITE(*,'(I2,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12)') k,&
+!      IF(it.EQ.3)  WRITE(*,'(I2,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12)') k,&
 !         'MA td ',dtrcvMA(i,k,it)*dxpres(i,k)/RG,&
 !         ' td',dtrcv(i,k,it)*dxpres(i,k)/RG,'         conservMA ',conservMA,'conserv ',conserv
@@ -836,5 +836,5 @@
 !        ENDDO
 !      ENDDO
-!       IF(it.eq.3) print *,'it',it,'conserv ',conserv,'conservMA ',conservMA
+!       IF(it.EQ.3) print *,'it',it,'conserv ',conserv,'conservMA ',conservMA
 
 END SUBROUTINE cvltr_spl
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cvparam.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cvparam.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cvparam.h	(revision 5117)
@@ -10,14 +10,14 @@
 !------------------------------------------------------------
 
-      integer noff, minorig, nl, nlp, nlm
-      real elcrit, tlcrit
-      real entp
-      real sigs, sigd
-      real omtrain, omtsnow, coeffr, coeffs
-      real dtmax
-      real cu
-      real betad
-      real alpha, damp
-      real delta
+      INTEGER noff, minorig, nl, nlp, nlm
+      REAL elcrit, tlcrit
+      REAL entp
+      REAL sigs, sigd
+      REAL omtrain, omtsnow, coeffr, coeffs
+      REAL dtmax
+      REAL cu
+      REAL betad
+      REAL alpha, damp
+      REAL delta
 
       COMMON /cvparam/ elcrit, tlcrit &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cvthermo.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cvthermo.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cvthermo.h	(revision 5117)
@@ -4,9 +4,9 @@
 ! Thermodynamical constants for convectL:
 
-      real cpd, cpv, cl, ci, rrv, rrd, lv0, lf0, g, rowl, t0
-      real clmcpv, clmcpd, cpdmcp, cpvmcpd, cpvmcl, clmci
-      real eps, epsi, epsim1
-      real ginv, hrd
-      real grav
+      REAL cpd, cpv, cl, ci, rrv, rrd, lv0, lf0, g, rowl, t0
+      REAL clmcpv, clmcpd, cpdmcp, cpvmcpd, cpvmcl, clmci
+      REAL eps, epsi, epsim1
+      REAL ginv, hrd
+      REAL grav
 
       COMMON /cvthermo/ cpd, cpv, cl, ci, rrv, rrd, lv0, lf0, g, rowl &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/declare_STDlev.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/declare_STDlev.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/declare_STDlev.h	(revision 5117)
@@ -8,22 +8,22 @@
 !      real wwriteSTD(klon,nlevSTD,nfiles)
 
-      real twriteSTD3(klon,nlevSTD3)
-      real qwriteSTD3(klon,nlevSTD3)
-      real rhwriteSTD3(klon,nlevSTD3)
-      real phiwriteSTD3(klon,nlevSTD3)
-      real uwriteSTD3(klon,nlevSTD3)
-      real vwriteSTD3(klon,nlevSTD3)
-      real wwriteSTD3(klon,nlevSTD3)
+      REAL twriteSTD3(klon,nlevSTD3)
+      REAL qwriteSTD3(klon,nlevSTD3)
+      REAL rhwriteSTD3(klon,nlevSTD3)
+      REAL phiwriteSTD3(klon,nlevSTD3)
+      REAL uwriteSTD3(klon,nlevSTD3)
+      REAL vwriteSTD3(klon,nlevSTD3)
+      REAL wwriteSTD3(klon,nlevSTD3)
 
-      real tnondefSTD8(klon,nlevSTD8)
-      real twriteSTD8(klon,nlevSTD8)
-      real qwriteSTD8(klon,nlevSTD8)
-      real rhwriteSTD8(klon,nlevSTD8)
-      real phiwriteSTD8(klon,nlevSTD8)
-      real uwriteSTD8(klon,nlevSTD8)
-      real vwriteSTD8(klon,nlevSTD8)
-      real wwriteSTD8(klon,nlevSTD8)
+      REAL tnondefSTD8(klon,nlevSTD8)
+      REAL twriteSTD8(klon,nlevSTD8)
+      REAL qwriteSTD8(klon,nlevSTD8)
+      REAL rhwriteSTD8(klon,nlevSTD8)
+      REAL phiwriteSTD8(klon,nlevSTD8)
+      REAL uwriteSTD8(klon,nlevSTD8)
+      REAL vwriteSTD8(klon,nlevSTD8)
+      REAL wwriteSTD8(klon,nlevSTD8)
 
-      real, save :: rlevSTD(nlevSTD)
+      REAL, save :: rlevSTD(nlevSTD)
       DATA rlevSTD/100000., 92500., 85000., 70000., &
       60000., 50000., 40000., 30000., 25000., 20000., &
@@ -37,9 +37,9 @@
 !$OMP THREADPRIVATE(clevSTD)
 
-      real, save :: rlevSTD3(nlevSTD3)
+      REAL, save :: rlevSTD3(nlevSTD3)
       DATA rlevSTD3/85000., 50000., 25000./
 !$OMP THREADPRIVATE(rlevSTD3)
 
-      real, save :: rlevSTD8(nlevSTD8)
+      REAL, save :: rlevSTD8(nlevSTD8)
       DATA rlevSTD8/100000., 85000., 70000., 50000., 25000., 10000., &
            5000., 1000./
@@ -49,5 +49,5 @@
 
 ! nout : niveau de output des variables a une pression donnee
-      logical oknondef(klon,nlevSTD,nout)
+      LOGICAL oknondef(klon,nlevSTD,nout)
 
 ! les produits uvSTD, vqSTD, .., T2STD sont calcules
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dimphy.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dimphy.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dimphy.F90	(revision 5117)
@@ -14,5 +14,5 @@
 
 !$OMP THREADPRIVATE(klon,kfdia,kidia,kdlon)
-  REAL,save,allocatable,dimension(:) :: zmasq
+  REAL,SAVE,ALLOCATABLE,DIMENSION(:) :: zmasq
 !$OMP THREADPRIVATE(zmasq)   
 
@@ -22,6 +22,6 @@
   IMPLICIT NONE
   
-    INTEGER, INTENT(in) :: klon0
-    INTEGER, INTENT(in) :: klev0
+    INTEGER, INTENT(IN) :: klon0
+    INTEGER, INTENT(IN) :: klev0
     
     klon=klon0
@@ -45,6 +45,6 @@
   IMPLICIT NONE
   
-    INTEGER, INTENT(in) :: klon0
-    INTEGER, INTENT(in) :: klev0
+    INTEGER, INTENT(IN) :: klon0
+    INTEGER, INTENT(IN) :: klev0
     
     klon=klon0
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_decl_cases.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_decl_cases.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_decl_cases.h	(revision 5117)
@@ -4,36 +4,36 @@
 !        integer nlev_prof
 !        parameter (nlev_prof = 41)
-        integer nlev_toga, nt_toga
+        INTEGER nlev_toga, nt_toga
         parameter (nlev_toga=41, nt_toga=480)
-        integer year_ini_toga, day_ini_toga, mth_ini_toga
-        real day_ju_ini_toga   ! Julian day of toga coare first day
+        INTEGER year_ini_toga, day_ini_toga, mth_ini_toga
+        REAL day_ju_ini_toga   ! Julian day of toga coare first day
         parameter (year_ini_toga=1992) 
         parameter (mth_ini_toga=11)
         parameter (day_ini_toga=1)  !  1erNov1992
-        real dt_toga
+        REAL dt_toga
         parameter (dt_toga=6.*3600.)
 !!
-        integer year_print, month_print, day_print
+        INTEGER year_print, month_print, day_print
         real    sec_print
 !!
-        real ts_toga(nt_toga)
-        real plev_toga(nlev_toga,nt_toga),w_toga(nlev_toga,nt_toga)
-        real t_toga(nlev_toga,nt_toga),q_toga(nlev_toga,nt_toga)
-        real u_toga(nlev_toga,nt_toga),v_toga(nlev_toga,nt_toga)
-        real ht_toga(nlev_toga,nt_toga),vt_toga(nlev_toga,nt_toga)
-        real hq_toga(nlev_toga,nt_toga),vq_toga(nlev_toga,nt_toga)
-
-        real ts_prof
-        real plev_prof(nlev_toga),w_prof(nlev_toga)
-        real t_prof(nlev_toga),q_prof(nlev_toga)
-        real u_prof(nlev_toga),v_prof(nlev_toga)
-        real ht_prof(nlev_toga),vt_prof(nlev_toga)
-        real hq_prof(nlev_toga),vq_prof(nlev_toga)
-
-        real w_mod(llm), t_mod(llm),q_mod(llm)
-        real u_mod(llm),v_mod(llm), ht_mod(llm),vt_mod(llm),ug_mod(llm),vg_mod(llm)
+        REAL ts_toga(nt_toga)
+        REAL plev_toga(nlev_toga,nt_toga),w_toga(nlev_toga,nt_toga)
+        REAL t_toga(nlev_toga,nt_toga),q_toga(nlev_toga,nt_toga)
+        REAL u_toga(nlev_toga,nt_toga),v_toga(nlev_toga,nt_toga)
+        REAL ht_toga(nlev_toga,nt_toga),vt_toga(nlev_toga,nt_toga)
+        REAL hq_toga(nlev_toga,nt_toga),vq_toga(nlev_toga,nt_toga)
+
+        REAL ts_prof
+        REAL plev_prof(nlev_toga),w_prof(nlev_toga)
+        REAL t_prof(nlev_toga),q_prof(nlev_toga)
+        REAL u_prof(nlev_toga),v_prof(nlev_toga)
+        REAL ht_prof(nlev_toga),vt_prof(nlev_toga)
+        REAL hq_prof(nlev_toga),vq_prof(nlev_toga)
+
+        REAL w_mod(llm), t_mod(llm),q_mod(llm)
+        REAL u_mod(llm),v_mod(llm), ht_mod(llm),vt_mod(llm),ug_mod(llm),vg_mod(llm)
 	    real temp_nudg_mod(llm),qv_nudg_mod(llm),u_nudg_mod(llm),v_nudg_mod(llm)       
-        real hq_mod(llm),vq_mod(llm),qv_mod(llm),ql_mod(llm),qt_mod(llm)
-        real th_mod(llm)
+        REAL hq_mod(llm),vq_mod(llm),qv_mod(llm),ql_mod(llm),qt_mod(llm)
+        REAL th_mod(llm)
 
 ! EV comment these lines
@@ -43,41 +43,41 @@
 ! Declarations specifiques au cas RICO
         character*80 :: fich_rico
-        integer nlev_rico
+        INTEGER nlev_rico
 
         parameter (nlev_rico=81)
-        real ts_rico,ps_rico
-        real w_rico(llm)
-        real t_rico(llm),q_rico(llm)
-        real u_rico(llm),v_rico(llm)
-        real dth_rico(llm)
-        real dqh_rico(llm)
+        REAL ts_rico,ps_rico
+        REAL w_rico(llm)
+        REAL t_rico(llm),q_rico(llm)
+        REAL u_rico(llm),v_rico(llm)
+        REAL dth_rico(llm)
+        REAL dqh_rico(llm)
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 ! Declarations specifiques au cas TWPice
         character*80 :: fich_twpice
-        integer nlev_twpi, nt_twpi
+        INTEGER nlev_twpi, nt_twpi
         parameter (nlev_twpi=40, nt_twpi=215)
-        integer year_ini_twpi, day_ini_twpi, mth_ini_twpi
-        real heure_ini_twpi
-        real day_ju_ini_twpi   ! Julian day of twpice first day
+        INTEGER year_ini_twpi, day_ini_twpi, mth_ini_twpi
+        REAL heure_ini_twpi
+        REAL day_ju_ini_twpi   ! Julian day of twpice first day
         parameter (year_ini_twpi=2006) 
         parameter (mth_ini_twpi=1)
         parameter (day_ini_twpi=17)  ! 17 = 17Jan2006
         parameter (heure_ini_twpi=10800.) !3h en secondes
-        real dt_twpi
+        REAL dt_twpi
         parameter (dt_twpi=3.*3600.)
 
-        real ts_twpi(nt_twpi)
-        real plev_twpi(nlev_twpi,nt_twpi),w_twpi(nlev_twpi,nt_twpi)
-        real t_twpi(nlev_twpi,nt_twpi),q_twpi(nlev_twpi,nt_twpi)
-        real u_twpi(nlev_twpi,nt_twpi),v_twpi(nlev_twpi,nt_twpi)
-        real ht_twpi(nlev_twpi,nt_twpi),vt_twpi(nlev_twpi,nt_twpi)
-        real hq_twpi(nlev_twpi,nt_twpi),vq_twpi(nlev_twpi,nt_twpi)
-
-        real ts_proftwp
-        real plev_proftwp(nlev_twpi),w_proftwp(nlev_twpi)
-        real t_proftwp(nlev_twpi),q_proftwp(nlev_twpi)
-        real u_proftwp(nlev_twpi),v_proftwp(nlev_twpi)
-        real ht_proftwp(nlev_twpi),vt_proftwp(nlev_twpi)
-        real hq_proftwp(nlev_twpi),vq_proftwp(nlev_twpi)
+        REAL ts_twpi(nt_twpi)
+        REAL plev_twpi(nlev_twpi,nt_twpi),w_twpi(nlev_twpi,nt_twpi)
+        REAL t_twpi(nlev_twpi,nt_twpi),q_twpi(nlev_twpi,nt_twpi)
+        REAL u_twpi(nlev_twpi,nt_twpi),v_twpi(nlev_twpi,nt_twpi)
+        REAL ht_twpi(nlev_twpi,nt_twpi),vt_twpi(nlev_twpi,nt_twpi)
+        REAL hq_twpi(nlev_twpi,nt_twpi),vq_twpi(nlev_twpi,nt_twpi)
+
+        REAL ts_proftwp
+        REAL plev_proftwp(nlev_twpi),w_proftwp(nlev_twpi)
+        REAL t_proftwp(nlev_twpi),q_proftwp(nlev_twpi)
+        REAL u_proftwp(nlev_twpi),v_proftwp(nlev_twpi)
+        REAL ht_proftwp(nlev_twpi),vt_proftwp(nlev_twpi)
+        REAL hq_proftwp(nlev_twpi),vq_proftwp(nlev_twpi)
 
 
@@ -85,8 +85,8 @@
 !Declarations specifiques au cas FIRE
         character*80 :: fich_fire
-        integer nlev_fire, nt_fire
+        INTEGER nlev_fire, nt_fire
         parameter (nlev_fire=120, nt_fire=1)  
-        integer year_ini_fire, day_ini_fire, mth_ini_fire
-        real heure_ini_fire
+        INTEGER year_ini_fire, day_ini_fire, mth_ini_fire
+        REAL heure_ini_fire
         parameter (year_ini_fire=1987) 
         parameter (mth_ini_fire=7)
@@ -133,46 +133,46 @@
 !Declarations specifiques au cas DICE     (MPL 02072013)
         character*80 :: fich_dice
-        integer nlev_dice, nt_dice
+        INTEGER nlev_dice, nt_dice
         parameter (nlev_dice=70, nt_dice=145)  
-        integer year_ini_dice, day_ini_dice, mth_ini_dice
-        real heure_ini_dice
-        real day_ju_ini_dice   ! Julian day of dice first day
+        INTEGER year_ini_dice, day_ini_dice, mth_ini_dice
+        REAL heure_ini_dice
+        REAL day_ju_ini_dice   ! Julian day of dice first day
         parameter (year_ini_dice=1999) 
         parameter (mth_ini_dice=10)
         parameter (day_ini_dice=23)  ! 23 = 23 october 1999
         parameter (heure_ini_dice=68400.) !19UTC en secondes
-        real dt_dice
+        REAL dt_dice
         parameter (dt_dice=0.5*3600.) ! 1 forcage ttes les demi-heures
 
 !profils initiaux:
-        real plev_dice(nlev_dice)
+        REAL plev_dice(nlev_dice)
         
-        real zz_dice(nlev_dice)
-        real t_dice(nlev_dice),qv_dice(nlev_dice)
-        real u_dice(nlev_dice), v_dice(nlev_dice),o3_dice(nlev_dice)
-        real ht_dice(nlev_dice,nt_dice)
-        real hq_dice(nlev_dice,nt_dice), hu_dice(nlev_dice,nt_dice)
-        real hv_dice(nlev_dice,nt_dice)
-        real w_dice(nlev_dice,nt_dice),omega_dice(nlev_dice,nt_dice)
-        real o3_mod(llm),hu_mod(llm),hv_mod(llm)
-        real t_dicei(nlev_dice),qv_dicei(nlev_dice)
-        real u_dicei(nlev_dice), v_dicei(nlev_dice),o3_dicei(nlev_dice)
-        real ht_dicei(nlev_dice)
-        real hq_dicei(nlev_dice), hu_dicei(nlev_dice)
-        real hv_dicei(nlev_dice)
-        real w_dicei(nlev_dice),omega_dicei(nlev_dice)
+        REAL zz_dice(nlev_dice)
+        REAL t_dice(nlev_dice),qv_dice(nlev_dice)
+        REAL u_dice(nlev_dice), v_dice(nlev_dice),o3_dice(nlev_dice)
+        REAL ht_dice(nlev_dice,nt_dice)
+        REAL hq_dice(nlev_dice,nt_dice), hu_dice(nlev_dice,nt_dice)
+        REAL hv_dice(nlev_dice,nt_dice)
+        REAL w_dice(nlev_dice,nt_dice),omega_dice(nlev_dice,nt_dice)
+        REAL o3_mod(llm),hu_mod(llm),hv_mod(llm)
+        REAL t_dicei(nlev_dice),qv_dicei(nlev_dice)
+        REAL u_dicei(nlev_dice), v_dicei(nlev_dice),o3_dicei(nlev_dice)
+        REAL ht_dicei(nlev_dice)
+        REAL hq_dicei(nlev_dice), hu_dicei(nlev_dice)
+        REAL hv_dicei(nlev_dice)
+        REAL w_dicei(nlev_dice),omega_dicei(nlev_dice)
 
         
 !forcings
-        real shf_dice(nt_dice),lhf_dice(nt_dice)
-        real lwup_dice(nt_dice),swup_dice(nt_dice)
-        real tg_dice(nt_dice),ustar_dice(nt_dice),psurf_dice(nt_dice)
-        real ug_dice(nt_dice),vg_dice(nt_dice)
-
-        real shf_prof,lhf_prof,lwup_prof,swup_prof,tg_prof
-        real ustar_prof,psurf_prof,cdrag
-        real ht_profd(nlev_dice),hq_profd(nlev_dice),hu_profd(nlev_dice)
-        real hv_profd(nlev_dice),w_profd(nlev_dice)
-        real omega_profd(nlev_dice),ug_profd,vg_profd
+        REAL shf_dice(nt_dice),lhf_dice(nt_dice)
+        REAL lwup_dice(nt_dice),swup_dice(nt_dice)
+        REAL tg_dice(nt_dice),ustar_dice(nt_dice),psurf_dice(nt_dice)
+        REAL ug_dice(nt_dice),vg_dice(nt_dice)
+
+        REAL shf_prof,lhf_prof,lwup_prof,swup_prof,tg_prof
+        REAL ustar_prof,psurf_prof,cdrag
+        REAL ht_profd(nlev_dice),hq_profd(nlev_dice),hu_profd(nlev_dice)
+        REAL hv_profd(nlev_dice),w_profd(nlev_dice)
+        REAL omega_profd(nlev_dice),ug_profd,vg_profd
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -187,5 +187,5 @@
         real  Ts_gcssold
         real  dtime_frcg
-        logical :: Turb_fcg_gcssold
+        LOGICAL :: Turb_fcg_gcssold
 
         common /turb_forcing/                                                   &
@@ -196,24 +196,24 @@
 
 
-        integer nlev_armcu, nt_armcu
+        INTEGER nlev_armcu, nt_armcu
         parameter (nlev_armcu=40, nt_armcu=31)
-        integer year_ini_armcu, day_ini_armcu, mth_ini_armcu
+        INTEGER year_ini_armcu, day_ini_armcu, mth_ini_armcu
         real  heure_ini_armcu
-        real day_ju_ini_armcu                                ! Julian day of armcu case first day
+        REAL day_ju_ini_armcu                                ! Julian day of armcu case first day
         parameter (year_ini_armcu=1997) 
         parameter (mth_ini_armcu=6)
         parameter (day_ini_armcu=21)  ! 172 = 21 juin 1997
         parameter (heure_ini_armcu=41400)   ! 11:30 en secondes
-        real dt_armcu
+        REAL dt_armcu
         parameter (dt_armcu=1.*1800.)   ! forcages donnes ttes les demi-heures par ifa_armcu.txt
-        real sens_armcu(nt_armcu),flat_armcu(nt_armcu)
-        real adv_theta_armcu(nt_armcu),rad_theta_armcu(nt_armcu)
-        real adv_qt_armcu(nt_armcu)
-        real theta_mod(llm),rv_mod(llm),play_mod(llm)
+        REAL sens_armcu(nt_armcu),flat_armcu(nt_armcu)
+        REAL adv_theta_armcu(nt_armcu),rad_theta_armcu(nt_armcu)
+        REAL adv_qt_armcu(nt_armcu)
+        REAL theta_mod(llm),rv_mod(llm),play_mod(llm)
 ! profc comme "profil armcu"
         
 ! forcages interpoles dans le temps
-        real adv_theta_prof,rad_theta_prof,adv_qt_prof
-        real sens_prof,flat_prof,fact
+        REAL adv_theta_prof,rad_theta_prof,adv_qt_prof
+        REAL sens_prof,flat_prof,fact
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 ! declarations specifiques au cas Sandu
@@ -221,78 +221,78 @@
 !        integer nlev_prof
 !        parameter (nlev_prof = 41)
-        integer nlev_sandu, nt_sandu
+        INTEGER nlev_sandu, nt_sandu
         parameter (nlev_sandu=87, nt_sandu=13)
-        integer year_ini_sandu, day_ini_sandu, mth_ini_sandu
-        real day_ju_ini_sandu                                ! Julian day of sandu case first day
+        INTEGER year_ini_sandu, day_ini_sandu, mth_ini_sandu
+        REAL day_ju_ini_sandu                                ! Julian day of sandu case first day
         parameter (year_ini_sandu=2006)
         parameter (mth_ini_sandu=7)
         parameter (day_ini_sandu=15)  ! 196 = 15 juillet 2006
-        real dt_sandu, tau_sandu
+        REAL dt_sandu, tau_sandu
         logical  :: trouve_700=.TRUE.
         parameter (dt_sandu=6.*3600.)   ! forcages donnes ttes les 6 heures par ifa_sandu.txt
         parameter (tau_sandu=30000*3600.)  ! temps de relaxation u,v,thetal,qt vers profil init et au dessus 700hPa
 !!
-        real ts_sandu(nt_sandu)
+        REAL ts_sandu(nt_sandu)
 ! profs comme "profil sandu"
-        real plev_profs(nlev_sandu)
-        real t_profs(nlev_sandu),thl_profs(nlev_sandu)
-        real q_profs(nlev_sandu)
-        real u_profs(nlev_sandu),v_profs(nlev_sandu),w_profs(nlev_sandu)
-        real omega_profs(nlev_sandu),o3mmr_profs(nlev_sandu)
-
-        real, dimension(llm) :: relax_u,relax_v,relax_thl
-        real, dimension(llm,2) :: relax_q
-
-        real thl_mod(llm),omega_mod(llm),o3mmr_mod(llm),tke_mod(llm)
+        REAL plev_profs(nlev_sandu)
+        REAL t_profs(nlev_sandu),thl_profs(nlev_sandu)
+        REAL q_profs(nlev_sandu)
+        REAL u_profs(nlev_sandu),v_profs(nlev_sandu),w_profs(nlev_sandu)
+        REAL omega_profs(nlev_sandu),o3mmr_profs(nlev_sandu)
+
+        REAL, DIMENSION(llm) :: relax_u,relax_v,relax_thl
+        REAL, DIMENSION(llm,2) :: relax_q
+
+        REAL thl_mod(llm),omega_mod(llm),o3mmr_mod(llm),tke_mod(llm)
 !vertical advection computation
-        real d_t_z(llm),d_th_z(llm), d_q_z(llm)
-        real d_t_dyn_z(llm),d_th_dyn_z(llm), d_q_dyn_z(llm)
-        real d_u_z(llm),d_v_z(llm)
-        real d_u_dyn(llm),d_v_dyn(llm)
-        real d_u_dyn_z(llm),d_v_dyn_z(llm)
-        real d_u_adv(llm),d_v_adv(llm)
-        real zz(llm)
-        real zfact
+        REAL d_t_z(llm),d_th_z(llm), d_q_z(llm)
+        REAL d_t_dyn_z(llm),d_th_dyn_z(llm), d_q_dyn_z(llm)
+        REAL d_u_z(llm),d_v_z(llm)
+        REAL d_u_dyn(llm),d_v_dyn(llm)
+        REAL d_u_dyn_z(llm),d_v_dyn_z(llm)
+        REAL d_u_adv(llm),d_v_adv(llm)
+        REAL zz(llm)
+        REAL zfact
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 ! Declarations specifiques au cas Astex
         character*80 :: fich_astex
-        integer nlev_astex, nt_astex
+        INTEGER nlev_astex, nt_astex
         parameter (nlev_astex=34, nt_astex=49)
-        integer year_ini_astex, day_ini_astex, mth_ini_astex
-        real day_ju_ini_astex                                ! Julian day of astex case first day
+        INTEGER year_ini_astex, day_ini_astex, mth_ini_astex
+        REAL day_ju_ini_astex                                ! Julian day of astex case first day
         parameter (year_ini_astex=1992)
         parameter (mth_ini_astex=6)
         parameter (day_ini_astex=13)  ! 165 = 13 juin 1992
-        real dt_astex
+        REAL dt_astex
         parameter (dt_astex=3600.)    ! forcages donnes ttes les heures par ifa_astex.txt
-        real ts_astex(nt_astex),div_astex(nt_astex),ug_astex(nt_astex)
-        real vg_astex(nt_astex),ufa_astex(nt_astex),vfa_astex(nt_astex)
-        real div_prof,ug_prof,vg_prof,ufa_prof,vfa_prof
+        REAL ts_astex(nt_astex),div_astex(nt_astex),ug_astex(nt_astex)
+        REAL vg_astex(nt_astex),ufa_astex(nt_astex),vfa_astex(nt_astex)
+        REAL div_prof,ug_prof,vg_prof,ufa_prof,vfa_prof
 ! profa comme "profil astex"
-        real plev_profa(nlev_astex)
-        real t_profa(nlev_astex),thl_profa(nlev_astex)
-        real qv_profa(nlev_astex),ql_profa(nlev_astex)
-        real qt_profa(nlev_astex),o3mmr_profa(nlev_astex)
-        real u_profa(nlev_astex),v_profa(nlev_astex),w_profa(nlev_astex)
-        real tke_profa(nlev_astex)
+        REAL plev_profa(nlev_astex)
+        REAL t_profa(nlev_astex),thl_profa(nlev_astex)
+        REAL qv_profa(nlev_astex),ql_profa(nlev_astex)
+        REAL qt_profa(nlev_astex),o3mmr_profa(nlev_astex)
+        REAL u_profa(nlev_astex),v_profa(nlev_astex),w_profa(nlev_astex)
+        REAL tke_profa(nlev_astex)
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !Declarations specifiques au cas standard
 
-        real w_mod_cas(llm), t_mod_cas(llm),q_mod_cas(llm)
-        real theta_mod_cas(llm),thl_mod_cas(llm),thv_mod_cas(llm)
-        real qv_mod_cas(llm),ql_mod_cas(llm),qi_mod_cas(llm)
-        real ug_mod_cas(llm),vg_mod_cas(llm)
-        real temp_nudg_mod_cas(llm),qv_nudg_mod_cas(llm),v_nudg_mod_cas(llm),u_nudg_mod_cas(llm)
-        real invtau_temp_nudg_mod_cas(llm),invtau_qv_nudg_mod_cas(llm),invtau_v_nudg_mod_cas(llm),invtau_u_nudg_mod_cas(llm)
-        real u_mod_cas(llm),v_mod_cas(llm)
-        real omega_mod_cas(llm),tke_mod_cas(llm+1)
-        real ht_mod_cas(llm),vt_mod_cas(llm),dt_mod_cas(llm),dtrad_mod_cas(llm)
-        real hth_mod_cas(llm),vth_mod_cas(llm),dth_mod_cas(llm)
-        real hq_mod_cas(llm),vq_mod_cas(llm),dq_mod_cas(llm)
-        real hu_mod_cas(llm),vu_mod_cas(llm),du_mod_cas(llm)
-        real hv_mod_cas(llm),vv_mod_cas(llm),dv_mod_cas(llm)
-        integer day_ini_cas
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-
-
+        REAL w_mod_cas(llm), t_mod_cas(llm),q_mod_cas(llm)
+        REAL theta_mod_cas(llm),thl_mod_cas(llm),thv_mod_cas(llm)
+        REAL qv_mod_cas(llm),ql_mod_cas(llm),qi_mod_cas(llm)
+        REAL ug_mod_cas(llm),vg_mod_cas(llm)
+        REAL temp_nudg_mod_cas(llm),qv_nudg_mod_cas(llm),v_nudg_mod_cas(llm),u_nudg_mod_cas(llm)
+        REAL invtau_temp_nudg_mod_cas(llm),invtau_qv_nudg_mod_cas(llm),invtau_v_nudg_mod_cas(llm),invtau_u_nudg_mod_cas(llm)
+        REAL u_mod_cas(llm),v_mod_cas(llm)
+        REAL omega_mod_cas(llm),tke_mod_cas(llm+1)
+        REAL ht_mod_cas(llm),vt_mod_cas(llm),dt_mod_cas(llm),dtrad_mod_cas(llm)
+        REAL hth_mod_cas(llm),vth_mod_cas(llm),dth_mod_cas(llm)
+        REAL hq_mod_cas(llm),vq_mod_cas(llm),dq_mod_cas(llm)
+        REAL hu_mod_cas(llm),vu_mod_cas(llm),du_mod_cas(llm)
+        REAL hv_mod_cas(llm),vv_mod_cas(llm),dv_mod_cas(llm)
+        INTEGER day_ini_cas
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+
+
